/***
Author: MD Asaduzzaman Asad  @ Demo
Designer : MD Asaduzzaman Asad 
Developer: MD Asaduzzaman Asad
URL: https://asadpro.com
Description: Demo 
Version: 2.0.0
Date: 01-Dec-2023
1st_Version_Date: 01-Dec-2023
*/

:root {
  --primary: #000;
  --p-color: #04a655;
  --p-light-gray: #f2f1ef;
  --p-border: #585756;
  --p-gray: #2e2d2c;
}

.carousel-inner {
  max-height: 700px;
}
.carousel-item {
  position: relative;
}
.carousel-item::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.05);
}
.carousel-item .carousel-caption {
  position: absolute;
  left: 50%;
  top: 35%;
  transform: translate(-50%, -50%);
  height: 250px;
  width: 600px;
  text-align: center;
}
.carousel-item img {
  transition: ease 16s;
}
.carousel-item img.scale_up {
  transform: scale(1.2);
}

.carousel-item .carousel-caption::before {
  content: "";
  position: absolute;
  left: 0%;
  top: 0%;
  height: 100%;
  width: 100%;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.2);
  filter: blur(5px);
}
.carousel-item .carousel-caption.caption-left {
  left: 30%;
  top: 40%;
  text-align: left;
}
.carousel-item .carousel-caption.caption-left::before {
  background-color: transparent;
}
.carousel-item .carousel-caption.caption-left-blur::before {
  background-color: rgba(0, 0, 0, 0.2);
}

@media screen and (max-width: 1024px) {
  .carousel-item .carousel-caption.caption-left {
    left: 50%;
    top: 50%;
    text-align: center;
  }
  .carousel-item .carousel-caption.caption-left::before {
    background-color: transparent;
  }
  .carousel-item .carousel-caption.caption-left-blur::before {
    background-color: rgba(0, 0, 0, 0.2);
  }
}

@media screen and (max-width: 480px) {
  .carousel-item .carousel-caption,
  .carousel-item .carousel-caption.caption-left {
    left: 50%;
    top: 90%;
    text-align: center;
  }
  .carousel-item .carousel-caption h2 {
    font-size: 3rem !important;
  }
  .carousel-item .carousel-caption p {
    font-size: 0.8rem;
    max-width: 360px;
    margin: 0 auto;
  }
  .carousel-item .carousel-caption .button_text_container {
    font-size: 0.8rem;
  }
  .carousel-item .carousel-caption .btn {
    padding: 5px 10px;
  }
}

.carousel-item .carousel-caption h2,
.carousel-item .carousel-caption p {
  position: relative;
  z-index: 10;
  color: var(--p-light-gray);
}
.carousel-item .carousel-caption p {
  font-size: 1.3rem;
  font-weight: 200;
  padding-top: 10px;
  padding-bottom: 10px;
}
